FlexiCapture11 script editor shows error when using "Select" in LINQBridge.dll

  • Topic Is Locked
  • 319 Views
  • Last Post 30 October 2017
Sethu MK posted this 26 October 2017

 

I am using FlexiCapture11 and using custom LinqBridge.dll developed using .Net 2.0. Basically, it is bridge to use Linq features in .Net 2.0 version.

 

 

I tried to use the following code in the script editor - C#.

IEnumerable<char> str = "Test".Select(delegate(char c){return c;});

 

The script says string doesnt have the "Select" Method.

Does the Flexicapture 11 recognize the Lionbridge - Select extension method / method?

 

As part of LINQbridge - Lambda expression is also supported.  When tried to use the lambda expression.  The script shows error.

IEnumerable<char> str = "Test".Select(c=>c);

 

Thanks

 

Order By: Standard | Newest | Votes
Sethu MK posted this 26 October 2017

We added System.Core.dll introduced in .Net 3.5 SP1 to use the LINQ features in FlexiCapture 11. But, Script Editor still shows the same errors. Thanks

IvanPopov posted this 30 October 2017

This question is related to an ABBYY desktop product (FlexiCapture), while this forum works for ABBYY SDK products. Therefore, this post will be locked.

We created a similar discussion with your question in the FlexiCapture forum: http://www.capturedocs.com/thread/flexicapture11-script-editor-shows-error-when-using-select-in-linqbridge-dll

You could subscribe to the discussion to receive notifications.

Topic Is Locked

Close